For the complete documentation index, see llms.txt. This page is also available as Markdown.

Adding numbers to a subscription

Add numbers to an existing subscription

post
/tracking-push/subscribers/{id}/numbers

This endpoint allows adding shipment numbers to a subscription of type numbers.

Only numbers that already exist in the Nova Post system are added. A number that does not yet exist in the system is not added to the subscription — it has to be added again after the shipment has been created. A 200 code means that at least one number was added, not necessarily all of the numbers passed. Always check the contents of missedNumbers.

There is no limit on the number of shipment numbers that can be added to a subscription of type numbers.

Once a shipment reaches a final status, its number does not need to be removed from the subscription. However, we recommend removing completed shipments to keep the list of shipment numbers in the subscription up to date.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Path parameters
idstringRequired

The unique identifier of the subscription to which shipment numbers will be added. This is a required path parameter.

Example: a866fe22-8134-45c7-bfe9-3cf348415e26
Body
numbersstring[]Optional

A list of shipment numbers to be added to the subscription.

Example: ["20600000179995","20600000179992"]
Responses
200

All or some of the numbers were successfully added to the subscription.

application/json
messagestringOptional

A text description of the operation result.

addedNumbersstring[]Optional

The list of numbers that were successfully added to the subscription.

missedNumbersstring[]Optional

The list of numbers that could not be added. These numbers were not found in the system or are already linked to this subscription.

post/tracking-push/subscribers/{id}/numbers
POST /v.1.0/tracking-push/subscribers/{id}/numbers HTTP/1.1
Host: api-stage.novapost.com/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "numbers": [
    "20600000179995",
    "20600000179992"
  ]
}
{
  "message": "Numbers successfully added to the subscription.",
  "addedNumbers": [
    "SHPL8642391238"
  ],
  "missedNumbers": [
    "SHPL8642391237"
  ]
}

Last updated